> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a client

> Retrieves a single client based on the ID provided



## OpenAPI

````yaml GET /clients/{id}
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /clients/{id}:
    get:
      description: Retrieves a single client based on the ID provided
      parameters:
        - name: id
          in: path
          description: ID of client to retrieve
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Retrieves a single client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Client'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Client:
      type: object
      example:
        firstName: Hax
        lastName: Nasmi
        gender: Female
        dob: '1989-11-30'
        email:
          main: haxore3434@nasmis.com
        phone:
          home: '+18328156279'
        location:
          streetAddress: 2811 Pecan Ridge Dr
          aptSuiteOther: null
          city: Sugar Land
          state: Texas
          country: USA
          zip: 77479
          neighborhood: Colony Bend
          county: Fort Bend County
          zipSuffix: '1539'
        geoLocation:
          lat: 29.58203099999999
          lon: -95.6018993
        user:
          id: auth0|65608ab617b4bdb50111d600
          domain: 3a8T8b1-g
        inviteStatus: Invite Sent
        type: client
        id: 266fc897-5cd9-448a-bfc1-c9356c623fb0
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.